#
# spec file for package python-feedgenerator
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-feedgenerator
Version:        2.1.0
Release:        1.7
Summary:        Standalone version of django.utilsfeedgenerator, compatible with Py3k
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/getpelican/feedgenerator
Source:         https://files.pythonhosted.org/packages/source/f/feedgenerator/feedgenerator-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytz
BuildArch:      noarch
%python_subpackages

%description
FeedGenerator is a standalone version of Django’s feedgenerator module.
It has evolved over time and includes numerous enhancements.

%prep
%setup -q -n feedgenerator-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LC_ALL=en_US.utf8
# skip coverage by using an empty configuration file
%pytest -c /dev/null

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/feedgenerator-%{version}-py%{python_version}.egg-info
%{python_sitelib}/feedgenerator

%changelog
* Fri Apr 14 2023 Benoît Monin <benoit.monin@gmx.fr>
- update to version 2.1.0:
  * Modernize and improve tests (#32 & #34 — thanks to @venthur)
  * Drop support for Python 3.6 and test on 3.10 & 3.11
    (#35 — thanks to @hugovk)
  * Exclude tests_feedgenerator/__pycache__ from distribution
    (#33 — thanks to @BenSturmfels)
- require python >= 3.7
* Thu Dec 15 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python-six dependency
- Remove python_module macro definition
* Tue Sep 28 2021 Benoît Monin <benoit.monin@gmx.fr>
- udpate to version 2.0.0:
  * Add preliminary support for adding images to feeds
  * Update code for Python 3.6+
  * Drop support for Python 2.7
  * Fix double subtitles if both description & subtitle are
    provided
- skip python2 build: support dropped from upstream
- add pytest to the BuildRequires: needed for the tests now
- run the tests with pytest but skip coverage generation
* Wed Aug 18 2021 Benoît Monin <benoit.monin@gmx.fr>
- update to version 1.9.2:
  * Use description field as subtitle for Atom feeds, if provided
    (#23)
  * Update list of explicitly-supported Python versions to 3.6-3.9
- remove fix_encoding_in_setup_py.patch: merged upstream
- update the package description to match upstream readme
- move the %%python_subpackages macro to fix an rpmlint warning
* Thu May 27 2021 pgajdos@suse.com
- %%check: use %%pyunittest macro
* Sun Feb  9 2020 Benoît Monin <benoit.monin@gmx.fr>
- update to version 1.9.1:
  * Remove unnecessary files from source distribution
  * Update PyPI classifiers
- remove separate license file: now included in source tarball
- add fix_encoding_in_setup_py.patch to fix build failure
* Thu Dec  6 2018 Tomáš Chvátal <tchvatal@suse.com>
- Fix fdupes call
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Sep 24 2018 Jan Engelhardt <jengelh@inai.de>
- Strip history lesson from description.
* Fri Sep 21 2018 Matěj Cepl <mcepl@suse.com>
- Fix SPEC file with spec-cleaner.
* Mon May 22 2017 benoit.monin@gmx.fr
- add missing BuildRequires: python-rpm-macros
* Sun May  7 2017 benoit.monin@gmx.fr
- convert the package to singlespec
- call fdupes to fix duplicated files
- add the missing license file
- add package documentation
- list the actual files in python_sitelib
* Mon Sep 12 2016 benoit.monin@gmx.fr
- update to version 1.9: no upstream changelog
- update project url
- update source url
- add python-pytz and python-six as BuildRequires
- run the tests
* Tue Apr  5 2016 benoit.monin@gmx.fr
- update to version 1.8: no upstream changelog
* Fri Dec 27 2013 benoit.monin@gmx.fr
- switch from distribute to setuptools
- remove useless CFLAGS="%%{optflags}"
* Tue Sep  3 2013 benoit.monin@gmx.fr
- update to feedgenerator 1.7
* Sat Jun  8 2013 benoit.monin@gmx.fr
- update to feedgenerator 1.6
* Wed Mar 27 2013 benoit.monin@gmx.fr
- initial package with version 1.5
